summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-05-16 12:07:51 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-05-17 14:43:52 +0200
commit63f550ad8dc0061b1e010138d7fbbb55318550d4 (patch)
tree9767239bb66a3a2ff9d7b41a517faa0e765a4882 /scripts
parent40a7183f3b4aa32379aa8b4949f5f9c5e32f79f6 (diff)
Add AGL specfic scripts
Signed-off-by: Sebastien Douheret <sebastien.douheret@iot.bzh>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/agl/install-agl-sdks.sh82
-rwxr-xr-xscripts/get-syncthing.sh2
-rwxr-xr-xscripts/xds-start-server.sh65
3 files changed, 111 insertions, 38 deletions
diff --git a/scripts/agl/install-agl-sdks.sh b/scripts/agl/install-agl-sdks.sh
new file mode 100755
index 0000000..b65a08b
--- /dev/null
+++ b/scripts/agl/install-agl-sdks.sh
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+. /etc/xdtrc
+
+[ -z "$SDK_BASEURL" ] && SDK_BASEURL="http://iot.bzh/download/public/2017/XDS/sdk/"
+[ -z "$XDT_SDK" ] && XDT_SDK=/xdt/sdk
+
+# Support only poky_agl profile for now
+PROFILE="poky-agl"
+
+usage() {
+ echo "Usage: $(basename $0) [-h|--help] [-noclean] -a|--arch <arch name>"
+ echo "Sdk arch name is: aarch64 or arm32 or x86-64"
+ exit 1
+}
+
+do_cleanup=true
+FILE=""
+ARCH=""
+while [ $# -ne 0 ]; do
+ case $1 in
+ -h|--help|"")
+ usage
+ ;;
+ -a|--arch)
+ shift
+ ARCH=$1
+ case $1 in
+ aarch64) FILE="poky-agl-glibc-x86_64-agl-demo-platform-crosssdk-aarch64-toolchain-3.90.0+snapshot.sh";;
+ arm32) FILE="poky-agl-glibc-x86_64-agl-demo-platform-crosssdk-armv7vehf-neon-vfpv4-toolchain-3.90.0+snapshot.sh";;
+ x86-64) FILE="poky-agl-glibc-x86_64-agl-demo-platform-crosssdk-corei7-64-toolchain-3.90.0+snapshot.sh";;
+ esac
+ ;;
+ -noclean)
+ do_cleanup=false
+ ;;
+ *)
+ echo "Invalid argument: $1"
+ usage
+ ;;
+ esac
+ shift
+done
+
+if [ "$FILE" = "" ]; then
+ echo "Option -a|--arch must be set"
+ usage
+fi
+if [ "$ARCH" = "" ]; then
+ echo "Unsupport architecture name !"
+ usage
+fi
+
+cd ${XDT_SDK} || exit 1
+
+# Cleanup
+trap "cleanExit" 0 1 2 15
+cleanExit ()
+{
+ if ($do_cleanup); then
+ rm -f ${XDT_SDK}/${FILE}
+ fi
+}
+
+# Get SDK installer
+if [ ! -f $FILE ]; then
+ wget "$SDK_BASEURL/$FILE" -O ${XDT_SDK}/${FILE} || exit 1
+fi
+
+# Retreive default install dir to extract version
+offset=$(grep -na -m1 "^MARKER:$" $FILE | cut -d':' -f1)
+eval $(head -n $offset $FILE | grep ^DEFAULT_INSTALL_DIR= )
+VERSION=$(basename $DEFAULT_INSTALL_DIR)
+
+DESTDIR=${XDT_SDK}/${PROFILE}/${VERSION}/${ARCH}
+
+# Cleanup previous install
+rm -rf ${DESTDIR} && mkdir -p ${DESTDIR} || exit 1
+
+# Install sdk
+chmod +x ${XDT_SDK}/${FILE}
+${XDT_SDK}/${FILE} -y -d ${DESTDIR}
diff --git a/scripts/get-syncthing.sh b/scripts/get-syncthing.sh
index 8bc5346..6eb9c5b 100755
--- a/scripts/get-syncthing.sh
+++ b/scripts/get-syncthing.sh
@@ -31,7 +31,7 @@ tarball="syncthing-linux-amd64-v${SYNCTHING_VERSION}.tar.gz" \
&& grep -E " ${tarball}\$" sha1sum.txt.asc | sha1sum -c - \
&& rm sha1sum.txt.asc \
&& tar -xvf "$tarball" --strip-components=1 "$(basename "$tarball" .tar.gz)"/syncthing \
- && mv syncthing ${DESTDIR}/syncthing
+ && mv syncthing ${DESTDIR}/syncthing || exit 1
echo "Get Syncthing-inotify..."
diff --git a/scripts/xds-start-server.sh b/scripts/xds-start-server.sh
index 6888473..66da261 100755
--- a/scripts/xds-start-server.sh
+++ b/scripts/xds-start-server.sh
@@ -2,55 +2,46 @@
# Configurable variables
[ -z "$BINDIR" ] && BINDIR=/usr/local/bin
-[ -z "$ST_CONFDIR" ] && ST_CONFDIR=$HOME/.xds/syncthing-config
[ -z "$XDS_CONFFILE" ] && XDS_CONFFILE=$HOME/.xds/config.json
+[ -z "$XDS_SHAREDIR" ] && XDS_SHAREDIR=$HOME/.xds/share
+[ -z "$ST_CONFDIR" ] && ST_CONFDIR=$HOME/.xds/syncthing-config
[ -z "$LOGLEVEL" ] && LOGLEVEL=warn
-[ -z "$LOGDIR" ] && LOGDIR=/tmp/xds-logs
+[ -z "$LOGDIR" ] && LOGDIR=/tmp/xds-server/logs
[ -z "$PORT_GUI" ] && PORT_GUI=8384
[ -z "$API_KEY" ] && API_KEY="1234abcezam"
-mkdir -p ${LOGDIR}
-LOG_XDS=${LOGDIR}/xds-server.log
-LOG_SYNC=${LOGDIR}/syncthing.log
-LOG_SYNCI=${LOGDIR}/syncthing-inotify.log
-
-echo "### Info"
-echo "XDS server config: $XDS_CONFFILE"
-echo "Syncthing GUI on port: $PORT_GUI"
-echo "Syncthing Config: $ST_CONFDIR"
-echo "XDS server output redirected in: $LOG_XDS"
-echo "Syncthing-inotify output redirected in: $LOG_SYNCI"
-echo "Syncthing output redirected in: $LOG_SYNC"
-echo ""
-
-pwd
-[[ -f $BINDIR/xds-server ]] || { BINDIR=$(cd `dirname $0` && pwd); }
-pwd
[[ -f $BINDIR/xds-server ]] || { echo "Cannot find xds-server in BINDIR !"; exit 1; }
-echo "### Start syncthing-inotify:"
-$BINDIR/syncthing-inotify --home=$ST_CONFDIR -target=http://localhost:$PORT_GUI -verbosity=4 > $LOG_SYNCI 2>&1 &
-pid_synci=$(jobs -p)
-echo "pid=${pid_synci}"
+# Create config.json file when needed
+[[ -f ${XDS_CONFFILE} ]] || { mv ${XDS_CONFFILE} ${XDS_CONFFILE}.old; }
+
+cat <<EOF > ${XDS_CONFFILE}
+{
+ "webAppDir": "webapp/dist",
+ "shareRootDir": "${XDS_SHAREDIR}",
+ "logsDir": "${LOGDIR}",
+ "sdkRootDir": "/xdt/sdk",
+ "syncthing": {
+ "binDir": "${BINDIR}",
+ "home": "${ST_CONFDIR}",
+ "gui-address": "http://localhost:${PORT_GUI}",
+ "gui-apikey": "${API_KEY}"
+ }
+}
+EOF
+
+echo "### Configuration in config.json: "
+cat ${XDS_CONFFILE}
echo ""
-echo "### Start Syncthing:"
-STNODEFAULTFOLDER=1 $BINDIR/syncthing --home=$ST_CONFDIR -no-browser -verbose --gui-address=0.0.0.0:$PORT_GUI -gui-apikey=${API_KEY} > $LOG_SYNC 2>&1 &
-pid_sync=$(jobs -p)
-echo "pid=${pid_sync}"
-echo ""
+mkdir -p ${LOGDIR}
+LOG_XDS=${LOGDIR}/xds-server.log
-if [ "$1" == "-noserver" ]; then
- echo "## XDS server NOT STARTED"
- echo " Command to start it:"
- echo " $BINDIR/xds-server --config $XDS_CONFFILE -log $LOGLEVEL > $LOG_XDS 2>&1"
-else
- # Wait a bit so make connection to Syncthing possible
- sleep 1
- echo "### Start XDS server"
+echo "### Start XDS server"
+echo " $BINDIR/xds-server --config $XDS_CONFFILE -log $LOGLEVEL > $LOG_XDS 2>&1"
+if [ "$1" != "-dryrun" ]; then
$BINDIR/xds-server --config $XDS_CONFFILE -log $LOGLEVEL > $LOG_XDS 2>&1 &
pid_xds=$(jobs -p)
echo "pid=${pid_xds}"
fi
-echo ""